Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023889
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2013-05-22 23:062014-06-25 01:35
ReporteregoitzView Statuspublic 
Assigned ToAugustoMauch 
PriorityurgentResolutionfixedFixed in Version3.0MP24
StatusclosedFix in branchFixed in SCM revision032fb3d55363
ProjectionnoneETAnoneTarget Version3.0MP24
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toshankarb
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023889: When searching on the field of a new selector the request to the datasource is done twice

DescriptionWhen searching on the field of a new selector the request to the datasource is done twice.
If there are less that 76 rows both request are done using limit $1
if there are more than 76 request the first request is using limit 76
and the second limit 76 offset 75
Steps To Reproduce-Change the log of postgresql to see al the selects executed.
-Open the sales order window
-Openbravo the lines tab
-Create a new row.
-Write a value on the product field, for example a.
*See that on the log there are two selects for the product selector
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0023623 newdmiguelez Performance problem in product selector 
related to defect 00238903.0MP24 closedAugustoMauch Bad behaviour on grid view when searching on a selector field if the selector has defined a diplayed field 
related to defect 0026911 closedAugustoMauch The request to the datasource are done several times when opening a selector from a 2.50 process popup 
related to defect 00284723.0PR15Q2 closedalostale multi requests to datasource in big FK filter drop down 

-  Notes
(0058986)
hgbot (developer)
2013-05-28 12:46

Repository: erp/devel/pi
Changeset: a569477afae52236a353f0cc4b906bc056ed0c32
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue May 28 12:46:06 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a569477afae52236a353f0cc4b906bc056ed0c32 [^]

Fixes issue 23889: No extra datasource calls are done by selectors

Pick lists and grids use a property called drawAllMaxCells, that is used to determine how many cells should be fetched from the datasource, its default value is 250. If after making a datasource call smartclient finds out that the number of retrieved cells is lower than drawAllMaxCells, it will do another datasource call, and repeat this process until the number of cells fetched are higher than drawAllMaxCells or until all cells have been fetched.

This is not the intented behaviour, we want the rows to be fetched when the user scrolls down and is out of cached rows. That is why in the definition of OBViewGrid the drawAllMaxCells is set to 0. To fix this issue this property is also set to 0 in the selector pick list and grid.

---
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-selector-item.js
---
(0058987)
AugustoMauch (developer)
2013-05-28 12:51

Test plan:
- Create a selector based on the c_country table
- Create a new column in the c_uom table called c_country_id, varchar 32
- Add the column to the application dictionary and associate it with the new selector
- Add the field to the application dictionary.
- Compile and restart tomcat

- Open the Unit of Measure window, open the debugger window
- Create a new record
- Empty the content of the c_country_id field, and press space. Check in the debugger that only one call to the Country table is done (before the fix 4 were done)
- Open the selector grid. Check that only one call to the Country table is done (2 used to be done)
(0059091)
hudsonbot (developer)
2013-06-01 02:14

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/31f9b82dde77 [^]

Maturity status: Test
(0059117)
shankarb (developer)
2013-06-02 13:05

Code reviewed and tested in pi changeset f0878dbca750
(0068214)
hgbot (developer)
2014-06-20 11:43

Repository: erp/devel/pi
Changeset: 032fb3d553637702f5d14a6b0b2e8f8f23bf1c68
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Fri Jun 20 11:42:57 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/032fb3d553637702f5d14a6b0b2e8f8f23bf1c68 [^]

Fixes issue 23889: Multiple requests to selector datasource in manual popups

Pick lists and grids use a property called drawAllMaxCells, that is used to determine how many cells should be fetched from the datasource, its default value is 250. If after making a datasource call smartclient finds out that the number of retrieved cells is lower than drawAllMaxCells, it will do another datasource call, and repeat this process until the number of cells fetched are higher than drawAllMaxCells or until all cells have been fetched.

This is not the intented behaviour, we want the rows to be fetched when the user scrolls down and is out of cached rows. This is achieved by setting drawAllMaxCells to 0.

---
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-selector-widget.js
---
(0068215)
AugustoMauch (developer)
2014-06-20 11:44

This issue was reopened accidentally.
(0068289)
hudsonbot (developer)
2014-06-25 01:35

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/e78ccbaf0186 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-05-22 23:06 egoitz New Issue
2013-05-22 23:06 egoitz Assigned To => AugustoMauch
2013-05-22 23:06 egoitz Modules => Core
2013-05-22 23:06 egoitz Triggers an Emergency Pack => No
2013-05-22 23:06 egoitz Tag Attached: Performance
2013-05-22 23:58 egoitz Relationship added related to 0023890
2013-05-23 00:00 egoitz Relationship added related to 0023623
2013-05-23 02:06 eintelau Issue Monitored: eintelau
2013-05-28 12:38 AugustoMauch Issue Monitored: shankarb
2013-05-28 12:38 AugustoMauch Review Assigned To => shankarb
2013-05-28 12:46 hgbot Checkin
2013-05-28 12:46 hgbot Note Added: 0058986
2013-05-28 12:46 hgbot Status new => resolved
2013-05-28 12:46 hgbot Resolution open => fixed
2013-05-28 12:46 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a569477afae52236a353f0cc4b906bc056ed0c32 [^]
2013-05-28 12:51 AugustoMauch Note Added: 0058987
2013-06-01 02:14 hudsonbot Checkin
2013-06-01 02:14 hudsonbot Note Added: 0059091
2013-06-02 13:05 shankarb Note Added: 0059117
2013-06-02 13:05 shankarb Status resolved => closed
2013-06-02 13:05 shankarb Fixed in Version => 3.0MP24
2014-06-20 10:13 AugustoMauch Relationship added related to 0026911
2014-06-20 11:43 hgbot Checkin
2014-06-20 11:44 hgbot Note Added: 0068214
2014-06-20 11:44 hgbot Status closed => resolved
2014-06-20 11:44 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/a569477afae52236a353f0cc4b906bc056ed0c32 [^] => http://code.openbravo.com/erp/devel/pi/rev/032fb3d553637702f5d14a6b0b2e8f8f23bf1c68 [^]
2014-06-20 11:44 AugustoMauch Note Added: 0068215
2014-06-20 11:44 AugustoMauch Status resolved => closed
2014-06-25 01:35 hudsonbot Checkin
2014-06-25 01:35 hudsonbot Note Added: 0068289
2014-12-23 09:06 alostale Relationship added related to 0028472


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker